Triton AI Docs
Endpoints

Transcribe audio

Upload an audio file as multipart form data. The tested example uses a non-empty mono PCM WAV at 16 kHz.

For the workflow and examples, read the guide.

POST/v1/audio/transcriptions

Authorization

bearerAuth
AuthorizationBearer <token>

Your Triton AI Developer API key.

In: header

Request Body

multipart/form-data

Response Body

application/json

import osfrom openai import OpenAIclient = OpenAI(    api_key=os.environ["TRITONAI_API_KEY"],    base_url="https://tritonai-api.ucsd.edu/v1",)with open("speech.wav", "rb") as audio_file:    transcript = client.audio.transcriptions.create(        model="api-cohere-transcribe",        file=audio_file,    )print(transcript.text)

200 response example

{  "text": "The library opens at nine in the morning.",  "usage": {    "type": "duration",    "seconds": 3  }}